#ifndef MOVIECOLLECTION_H
#define MOVIECOLLECTION_H

#define _CRT_SECURE_NO_WARNINGS

#include <stdio.h> // input/output operations
#include <string.h> // strcpy (), strcat (), strcmp (), strlen (), strtok ()
#include <time.h> // time ()
#include <stdlib.h> // malloc (), calloc (), free (), atoi (), rand (), srand ()
#include <math.h> // sqrt (), sin (), cos (), tan (), pow ()
#include <ctype.h> // toupper (), tolower (), isalpha (), isdigit ()

#define MAX_ROWS 50
#define MAX_COLS 100

typedef struct movieRecord
{
	char title[50]; // declared as an array so that we already have space allocated for 
	                // the string; char * would only allow enough space for a pointer/an address
	int year;
}MovieRecord; // ~54 total bytes for the entire struct

// define a Node

typedef struct node
{
	MovieRecord data;
	struct node* pLink;
} Node; // ~58 bytes

int insertAtFront(Node** pList, MovieRecord newData);
// precondition: list must not be empty
MovieRecord deleteFront(Node** pList);

void printList(Node* pList);

#endif
